{% extends "search/base.html" %}
{% block content %}

    {% if results %}
        <form method="POST">
            {% csrf_token %}
                <button class="btn btn-outline-info" type="submit" formaction="{% url 'download_all' 'My_files' %}">DOWNLOAD ALL</button>
        </form>
        {% for result in results %}
           <article class="media content-section">
            <div class="d-flex justify-content-between">
                <div class="article-metadata">
                    <h2 class="article-title">{{ result.title }}</h2>
                    <a class="mr-2" href="{{ result.url }}" target="_blank" rel="noopener noreferrer">
                        {{ result.url }}
                    </a>
                    <p class="article-content">{{ result.summary }}</p>
                </div>
                <form method="POST">
                    {% csrf_token %}
                    <div class="d-inline justify-content-md-end">
                        <button class="btn btn-outline-info" type="submit"  formaction="{% url 'download' result.id %}" >DOWNLOAD</button>
                    </div>
                </form>
            </div>
        </article>
        {% endfor %}
    {% else %}
        <h3>Not found</h3>
    {% endif %}
{% endblock content %}